Bug 835932 - [abrt] gourmet-0.15.9-4.fc17: reccard.py:2650:changeUnit:Exception: User cancelled
[abrt] gourmet-0.15.9-4.fc17: reccard.py:2650:changeUnit:Exception: User canc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gourmet (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:d52e5cdc9e2896682b168ecebbb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 10:56 EDT by Robert Kief
Modified: 2013-07-31 21:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:56:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Kief 2012-06-27 10:56:20 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/gourmet
comment:        I am in the process of testing "gourmet-0.15.9-4.fc17" for Jeff R.  I had inadvertantly changed an ingredient measure to the incorrect value.  A Gourmet error message appeared to indicate my mistake and the unedited line looked like I was trying to drag it with the curser.  I dropped it over the still existing unedited line and edited the measure for that line correctly.  It was then I noticed the Bug Reporting Tool icon had appeared.
executable:     /usr/bin/gourmet
kernel:         3.4.3-1.fc17.x86_64
time:           Wed 27 Jun 2012 09:41:24 AM CDT
uid:            1000

backtrace:
:reccard.py:2650:changeUnit:Exception: User cancelled
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 2405, in ingtree_edited_cb
:    amt,msg=self.changeUnit(text,self.ingController.get_rowdict(iter))
:  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 2650, in changeUnit
:    raise Exception("User cancelled")
:Exception: User cancelled
:
:Local variables in innermost frame:
:CONVERT: 1
:old_amt: 1.0
:key: u'salt'
:density: None
:self: <gourmet.reccard.IngredientTreeUI instance at 0x5236638>
:new_unit: 'Tbs'
:new_amt: 0.3333333333333333
:choice: None
:old_unit: 'teaspoon'
:conversion: 0.3333333333333333
:ingdict: {'item': 'salt', 'amount': '1', 'ingkey': u'salt', 'optional': False, 'unit': 'teaspoon'}
:opt1: 'Converted: 1/3 Tbs'
:DONT_CONVERT: 2
:opt2: 'Not Converted: 1 Tbs'

smolt_data:
:
:
:General
:=================================
:UUID: 07f119ba-ae84-4b87-b0b5-a9cf2b1f80db
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5666.14
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad  CPU   Q9550  @ 2.83GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2834
:System Memory: 7986
:System Swap: 10047
:Vendor: Gigabyte Technology Co., Ltd.
:System: X48-DQ6 
:Form factor: Desktop
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10729:5208:20480) pci, pcieport, PCI/PCI, 82X38/X48 Express Host-Secondary PCI Express Bridge
:(32902:10720:5208:20480) pci, x38_edac, HOST/PCI, 82X38/X48 Express DRAM Controller
:(32902:10721:5208:20480) pci, pcieport, PCI/PCI, 82X38/X48 Express Host-Primary PCI Express Bridge
:(6523:9059:5208:45056) pci, ahci, STORAGE, GA-EP45-DS5 Motherboard
:(6523:9059:5208:45056) pci, pata_jmicron, STORAGE, GA-EP45-DS5 Motherboard
:(32902:10544:5208:20481) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10528:5208:45058) pci, ata_piix, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller
:(32902:10518:5208:20481) pci, None, PCI/ISA, 82801IR (ICH9R) LPC Interface Controller
:(32902:10534:5208:45058) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:10549:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:5208:20486) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:5208:20486) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10566:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:5208:40994) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:10551:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43576:5963:43576) pci, snd_hda_intel, MULTIMEDIA, R700 Audio Device [Radeon HD 4000 Series]
:(4098:38223:5963:57606) pci, radeon, VIDEO, RV710 [Radeon HD 4350]
:(32902:10570:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_homenet06-lv_root / ext4 4096 4096 13081025 8555191 7899831 3276800 2852281 2852281
:/dev/sda1 /boot ext4 1024 1024 508644 397551 371951 128016 127667 127667
:/dev/mapper/vg_homenet06-lv_home /home ext4 4096 4096 472080609 363667193 340039008 118145024 118058227 118058227
:
Comment 1 Fedora End Of Life 2013-07-03 19:20:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 21:56:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.